# Chemins d'acces a NISP
NISP = ..
LIB_NISP = $(NISP)/lib
INC_NISP = $(NISP)/include

CPP		= g++ -fpic
CXXFLAGS	= -Wall -ansi -I $(INC_NISP)
LDFLAGS		= -Wall -ansi

SRC = $(wildcard *.cpp)
OBJ = $(SRC:.cpp=.o)

all: $(NISP)/lib libnisp.a libnisp.so clean

$(NISP)/lib:
	mkdir $(NISP)/lib

libnisp.a: $(OBJ)
	  ar rv libnisp.a $(OBJ)
	  mv libnisp.a $(LIB_NISP)

libnisp.so: $(OBJ)
	g++ -shared -o libnisp.so $(OBJ)
	mv libnisp.so $(LIB_NISP)

clean : 
	rm -f $(OBJ)
	rm -f *~

%.o: %.cpp
	$(CPP) -I../../includes -I../thirdparty -o $@ -c $< $(CXXFLAGS)


